Results 1 to 7 of 7

Thread: Conky-manager missing 7za?

  1. #1

    Default Conky-manager missing 7za?

    I tried to install conky-manager today but when I run it I get an error that 7za is missing, despite also installing p7z. I am very confused, any ideas?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,667
    Blog Entries
    15

    Default Re: Conky-manager missing 7za?

    Quote Originally Posted by Marcd View Post
    I tried to install conky-manager today but when I run it I get an error that 7za is missing, despite also installing p7z. I am very confused, any ideas?
    Hi and welcome to the Forum
    From what repository did you obtain conky-manager from?

    My version requests no file;

    Code:
    zypper in https://download.opensuse.org/repositories/home:/malcolmlewis:/openSUSE_General/openSUSE_Leap_15.2/x86_64/conky-manager-2.4-lp152.1.6.x86_64.rpm
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 6 NEW packages are going to be installed:
      conky conky-manager fontawesome-fonts libircclient1 libmicrohttpd12 lua51
    
    6 new packages to install.
    Overall download size: 1.9 MiB. Already cached: 0 B. After the operation, additional 3.5 MiB will be used.
    Continue? [y/n/v/...? shows all options] (y):
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Conky-manager missing 7za?

    I installed it from the opensuse software "one click install" site, I may uninstall and try your repo. Thanks.

  4. #4

    Default Re: Conky-manager missing 7za?

    Hi. Just got back in my machine and I am running 2.4-lp152.1.6, installed from YAST2

  5. #5

    Default Re: Conky-manager missing 7za?

    Quote Originally Posted by malcolmlewis View Post
    Hi and welcome to the Forum
    From what repository did you obtain conky-manager from?

    My version requests no file;

    Code:
    zypper in https://download.opensuse.org/repositories/home:/malcolmlewis:/openSUSE_General/openSUSE_Leap_15.2/x86_64/conky-manager-2.4-lp152.1.6.x86_64.rpm
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 6 NEW packages are going to be installed:
      conky conky-manager fontawesome-fonts libircclient1 libmicrohttpd12 lua51
    
    6 new packages to install.
    Overall download size: 1.9 MiB. Already cached: 0 B. After the operation, additional 3.5 MiB will be used.
    Continue? [y/n/v/...? shows all options] (y):
    I uninstalled the previous version and tried your repo but got the same error. I am a bit rusty, not having used linux for 10 years and being new to openSUSE so maybe that is it?

    Code:
    sudo zypper in https://download.opensuse.org/repositories/home:/malcolmlewis:/openSUSE_General/openSUSE_Leap_15.2/x86_64/conky-manager-2.4-lp152.1.6.x86_64.rpm
    [sudo] password for root: 
    Retrieving repository 'home:Sauerland' metadata ............................................................................................[done]
    Building repository 'home:Sauerland' cache .................................................................................................[done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 2 NEW packages are going to be installed:
      conky-manager conky-manager-lang
    
    The following recommended package was automatically selected:
      conky-manager-lang
    
    2 new packages to install.
    Overall download size: 803.4 KiB. Already cached: 0 B. After the operation, additional 1.2 MiB will be used.
    Continue? [y/n/v/...? shows all options] (y): y
    Retrieving package conky-manager-2.4-lp152.1.6.x86_64                                                        (1/2), 789.5 KiB (  1.2 MiB unpacked)
    Retrieving package conky-manager-lang-2.4-lp152.1.6.noarch                                                   (2/2),  13.9 KiB ( 13.3 KiB unpacked)
    Retrieving: conky-manager-lang-2.4-lp152.1.6.noarch.rpm ....................................................................................[done]
    
    Checking for file conflicts: ...............................................................................................................[done]
    (1/2) Installing: conky-manager-2.4-lp152.1.6.x86_64 .......................................................................................[done]
    (2/2) Installing: conky-manager-lang-2.4-lp152.1.6.noarch ..................................................................................[done]
    marc@install:~> conky-manager
    [09:43:07] Error: Commands listed below are not available:
    
     * 7za
    
    Please install required packages and try running it again

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    29,667
    Blog Entries
    15

    Default Re: Conky-manager missing 7za?

    Hi
    Strange, so is p7zip and p7zip-full installed?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. #7

    Default Re: Conky-manager missing 7za?

    See, I said I was rusty and out of practice. I had installed p7zip but not p7zip-full. I installed that and now it works perfectly.

    Thanks for your help, I really appreciate it!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •